# Testgenerator-DSL

This repository is about our developed prototypic DSL for generating automated regression tests. The implemented concepts are described in our paper "Automated Regression Tests: A No-Code Approach
for BPMN-based Process-Driven Applications". 

If you would like to try out our prorotype, you can setup your DSL workspace with our installation guide described below and our [Testgenerator prototype](https://git.fh-muenster.de/winfo/code-pro/pda-testing-framework/bpmn-testgenerator-tool). If you would like to use our virtual machine instead, you can click to [download](https://git.fh-muenster.de/winfo/code-pro/pda-testing-framework/bpmn-testgenerator-tool) here.


## Required tools
- git
- Java
- Eclipse IDE for Java and DSL
- Eclipe-Plugin "Xtext Complete SDK" (2.23.xx)

## Installation

1. Check out this repository
```bash
git clone https://git.fh-muenster.de/winfo/code-pro/pda-testing-framework/bpmn-test-dsl
```

2. Start your Eclipse IDE

3. Sometimes the automatic build for DSLs leads to some problems. Therefore, we recommend to disable it by "Project" -> Deselecting "Build automatically"

4. Import the DSL projects by "File" -> "Import"

5. Add "Xtext Nature" to all of your imported projects if not already set by default

6. Configure source folders "src", "src-gen", "xtend-gen" if not already configured by default

7. Reactivate "Build automatically" by "Project" -> Selecting "Build automatically"

8. Make sure that all projects are free of errors and feel free to enjoy experimenting with our DSL 

9. We recommend to install our [Testgenerator prototype](https://git.fh-muenster.de/winfo/code-pro/pda-testing-framework/bpmn-testgenerator-tool) as well
